#### D.8.2.8 exclusionTest

Procedure from library `interval.lib` (see interval_lib).

Usage:
  exclusion test for roots with interval arithmetic

Return:
  list of boxes

Example:

    LIB "interval.lib";
    ring R = 0,(x,y),lp;
    ideal I = 2x2-xy+2y2-2,2x2-3xy+3y2-2;  // V(I) has four elements
    interval i = bounds2(-3/2,3/2);
    box B = list(i, i);
    list result = exclusionTest(I, B, 1/512);
    size(result[1]);
    ==> 0
    size(result[2]);
    ==> 4

User manual for Singular version 4.4.1, 2025, generated by texi2html.